Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#126 https just not happening in any build?

need info
closed
nobody
htdig (103)
5
2002-09-19
2002-07-04
Paul Harris
No

I've had a look at many versions of htdig, in an attempt
to get it to crawl a https site (intranet). It just doesn't
seem to work no matter what I do.

I'm currently using the 30/06b4 build...

One of the things i noticed was that the configure script
puts in -DHAVE_SSL into the compile commands, but
there is only HAVE_SSL_H mentioned in the code... I
defined HAVE_SSL_H as well, but this didn't help.

Also, we are using a non-standard port for our site,
which I thought might be an issue. I tried using a
normal internet site that uses ssh, and it still didn't
work...

When I run rundig I get:
---------------------------------
/var/htdig/bin/rundig -vvv
ht://dig Start Time: Thu Jul 4 14:25:03 2002
1:1:https://unreal.melbourne.printsoft.com.au:2789/
New server: unreal.melbourne.printsoft.com.au, 2789
- Persistent connections: enabled
- HEAD before GET: disabled
- Timeout: 30
- Connection space: 0
- Max Documents: -1
- TCP retries: 1
- TCP wait time: 5
- Accept-Language:
Trying to retrieve robots.txt file
Making HTTP request on
https://unreal.melbourne.printsoft.com.au:2789/robots.txt
Header line: HTTP/1.1 400 Bad Request
Header line: Date: Thu, 04 Jul 2002 18:25:03 GMT
Header line: Server: Apache-AdvancedExtranetServer
Header line: Connection: close
Header line: Content-Type: text/html; charset=iso-8859-1
Request time: 0 secs
pushed
pick: unreal.melbourne.printsoft.com.au, # servers = 1
> unreal.melbourne.printsoft.com.au with a traditional
HTTP connection
0:2:0:https://unreal.melbourne.printsoft.com.au:2789/:
Making HTTP request on
https://unreal.melbourne.printsoft.com.au:2789/
Header line: HTTP/1.1 400 Bad Request
Header line: Date: Thu, 04 Jul 2002 18:25:03 GMT
Header line: Server: Apache-AdvancedExtranetServer
Header line: Connection: close
Header line: Content-Type: text/html; charset=iso-8859-1
Request time: 0 secs
not found
pick: unreal.melbourne.printsoft.com.au, # servers = 1
> unreal.melbourne.printsoft.com.au with a traditional
HTTP connection
ht://dig End Time: Thu Jul 4 14:25:03 2002
Deleted, not found: ID: 2 URL:
https://unreal.melbourne.printsoft.com.au:2789/

Preamble text:

Postamble text:
Note: This message will be sent again if you do not
change or
take away the notification of the above mentioned HTML
page.

Find out more about the notification service at

http://www.htdig.org/meta.html

Cheers!

ht://Dig Notification Service

--------------------------------

The above is a little strange, because it would indicate
that although I have built with ssh enabled, it's not
looking at the site as a secure site... It says making
traditional HTTP connection, and I would have thought it
would list HTTPS as the connection it is attempting.

Anyway, I really hope that this is just me doing
something wrong... Any help would be greatly
appreciated.

I am running Mandrake 8.0 with the standard openssl
and openssl-devel packages.

I'm more than happy to give more info on config and
stuff, just let me know at paul.harris@printsoft.com

Thanks...

Discussion

  • Andy Bach
    Andy Bach
    2002-07-24

    Logged In: YES
    user_id=40934

    I went in and modified include/htconfig.h to add the
    HAVE_SSL_H HAVE_LIBSSL HAVE LIBCRYPTO
    defines. I think you need to make it CPPFLAGS to get it to
    work from the command line - however, ssl connections are
    still trouble here, as htdig segfaults on the 2nd connections.

     
  • Andy Bach
    Andy Bach
    2002-07-29

    Logged In: YES
    user_id=40934

    The latest snapshot 3.2.b4 7/28 has the fix in, though I still
    had to edit include/htconfig.h to define HAVE_SSL_H (or
    make -CPPFLAGS="-D HAVE_SSL_H" I think)

     
  • Paul Harris
    Paul Harris
    2002-09-09

    Logged In: YES
    user_id=561134

    I have had https working without an issue in the latest
    snapshot (04/09/2002)

    There were some defines required, as described, but once
    they were done, it all worked :)

     
  • Paul Harris
    Paul Harris
    2002-09-19

    • status: open --> closed